Bug 2039914 (CVE-2021-45486) - CVE-2021-45486 kernel: information leak in the IPv4 implementation
Summary: CVE-2021-45486 kernel: information leak in the IPv4 implementation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-45486
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2126329 2126330 2039915 2039969 2039970
Blocks: 2039917
TreeView+ depends on / blocked
 
Reported: 2022-01-12 17:44 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-09-13 07:45 UTC (History)
46 users (show)

Fixed In Version: kernel 5.13-rc1
Doc Type: If docs needed, set a value
Doc Text:
An information leak flaw was found in the Linux kernel’s IPv4 implementation in the ip_rt_init in net/ipv4/route.c function. The use of a small hash table in IP ID generation allows a remote attacker to reveal sensitive information.
Clone Of:
Environment:
Last Closed: 2022-05-11 14:46:54 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:27:14 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:58 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:11:27 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:40:34 UTC
Red Hat Product Errata RHBA-2022:5088 0 None Waiting on Red Hat rhel-system-roles.network is not able to configure all features 2022-06-23 10:09:10 UTC
Red Hat Product Errata RHSA-2022:1975 0 None None None 2022-05-10 14:41:01 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:47:11 UTC

Description Guilherme de Almeida Suckevicz 2022-01-12 17:44:00 UTC
An information leak problem could be observed in ip_rt_init in net/ipv4/route.c in the IPv4 implementation. In this flaw, using a small hash table in IP ID generation could be abused by a patient remote attacker to reveal sensitive information.

Reference and upstream patch:
https://arxiv.org/pdf/2112.09604.pdf
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/net/ipv4/route.c?id=aa6dd211e4b1dde9d5dc25d699d35f789ae7eeba

Comment 1 Guilherme de Almeida Suckevicz 2022-01-12 17:44:59 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2039915]

Comment 6 Justin M. Forbes 2022-01-14 15:44:17 UTC
This was fixed for Fedora with the 5.12.4 stable kernel updates.

Comment 10 errata-xmlrpc 2022-05-10 14:40:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1975 https://access.redhat.com/errata/RHSA-2022:1975

Comment 11 errata-xmlrpc 2022-05-10 14:47:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 12 Product Security DevOps Team 2022-05-11 14:46:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-45486


Note You need to log in before you can comment on or make changes to this bug.